x86_64-elf-as -o entry.o entry.s
echo "Successfully compiled entry"
x86_64-elf-gcc -ffreestanding -c -o kernel.o kernel.c -std=gnu11 -Wall -Wextra
echo "Succesfully compiled kernel"
x86_64-elf-gcc -ffreestanding -nostdlib -T linker.ld -o os.elf entry.o kernel.o
echo "Successfully compiled elf with linker"
echo "Connecting to spyro for remote compile..."
scp -r iso next@spyro.corp.bbrunson.com:~/OS/
echo "Successfully transferred elf to spyro"
echo "Compiling ISO with GRUB..."
ssh next@spyro.corp.bbrunson.com 'grub-mkrescue -o ~/OS/os.iso ~/OS/iso'
echo "Successfully compiled OS"
echo "Transferring compiled ISO..."
scp -r next@spyro.corp.bbrunson.com:~/OS/os.iso .
echo "Successfully tranferred compiled ISO"
echo "= Compilation complete ="
echo "Booting ISO via QEMU..."
qemu-system-x86_64 -cdrom os.iso